AnsweredAssumed Answered

clustershell installation issue

Question asked by shikharravi on Nov 10, 2015
Latest reply on May 8, 2017 by nathan-walker
Hi, I am trying to install cluster shell as part of lab exercise in an on demand training of Mapr.
 got error:

    [root@ip MAPR]# rpm -i pre-install/clustershell-1.6-1.el6.noarch.rpm
    warning: pre-install/clustershell-1.6-1.el6.noarch.rpm: Header V3 RSA/SHA256 Signature, key ID 0608b895: NOKEY
    error: Failed dependencies:
    python(abi) = 2.6 is needed by clustershell-1.6-1.el6.noarch


but i could by pass this by using

    [root@ip-10-0-0-1 pre-install]# yum install clustershell-1.6-1.el6.noarch.rpm
    Loaded plugins: amazon-id, rhui-lb
    Examining clustershell-1.6-1.el6.noarch.rpm: clustershell-1.6-1.el6.noarch
    Marking clustershell-1.6-1.el6.noarch.rpm to be installed
    Resolving Dependencies
    --> Running transaction check
    ---> Package clustershell.noarch 0:1.6-1.el6 will be installed
    --> Processing Dependency: python(abi) = 2.6 for package: clustershell-1.6-1.el6.noarch
    --> Finished Dependency Resolution
    Error: Package: clustershell-1.6-1.el6.noarch (/clustershell-1.6-1.el6.noarch)
    Requires: python(abi) = 2.6
    Installed: python-2.7.5-16.el7.x86_64 (@anaconda/7.1)
    python(abi) = 2.7
    python(abi) = 2.7
    Available: python-2.7.5-18.el7_1.1.x86_64 (rhui-REGION-rhel-server-releases)
    python(abi) = 2.7
    python(abi) = 2.7
    Available: python34-3.4.3-2.el7.x86_64 (epel)
    python(abi) = 3.4
    You could try using --skip-broken to work around the problem
    You could try running: rpm -Va --nofiles --nodigest

now its says installed.. but i could not find /etc/clustershell/groups or clush utility .. Please help.


Outcomes